robotpkg/wip/pal-gripper bulk build results

Log for pal-gripper-0.0.13 on Ubuntu-16.04.pal-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for pal-gripper-0.0.13 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04.pal-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04.pal-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for pal-gripper-0.0.13 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.20 found => Required system package gzip: gzip-1.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.8: pkgrepo2deb-1.8 found ===> Done bootstrap-depends for pal-gripper-0.0.13 ===> Installing full dependencies for pal-gripper-0.0.13 => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ===> Checking build options for pal-gripper-0.0.13 => Building with no option. ===> Checking alternatives for pal-gripper-0.0.13 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.9 provided by python27>=2.7<2.8 => Use ros kinetic: ros>=groovy provided by ros-kinetic ===> Checking dependencies for pal-gripper-0.0.13 => Required system package boost-headers>=1.34.1: boost-headers-1.58 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.58.0 found => Required system package cmake>=2.8.3: cmake-3.5.1 found => Required system package g++>=3: g++-5.4.0 found => Required system package gcc>=3: gcc-5.4.0 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.29.1 found => Required system package py27-catkin-pkg>=0.2: py27-catkin-pkg-0.4.10 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package py27-pyparsing>=1: py27-pyparsing-2.0.3 found => Required system package python27>=2.7<2.8: python27-2.7.12 found => Required system package py27-ros-catkin>=0.7<0.8: py27-ros-catkin-0.7.14 found => Required system package ros-comm>=1.12<1.13: ros-comm-1.12.14 found => Required system package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.7 found => Required system package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required system package ros-genpy>=0.6<0.7: ros-genpy-0.6.7 found => Required system package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found ===> Done depends for pal-gripper-0.0.13 ===> Extracting for pal-gripper-0.0.13 => SHA1 checksums OK => RMD160 checksums OK ===> Configuring for pal-gripper-0.0.13 Including extra CMAKE_CXX_FLAGS -pipe -O3 -DNDEBUG -Wall -Wextra -Werror=address -Werror=array-bounds -Werror=c++0x-compat -Werror=char-subscripts -Werror=enum-compare -Werror=implicit-int -Werror=implicit-function-declaration -Werror=comment -Werror=conversion-null -Werror=div-by-zero -Werror=format -Werror=format-security -Werror=format-extra-args -Werror=init-self -Werror=int-to-pointer-cast -Werror=missing-braces -Werror=missing-field-initializers -Werror=nonnull -Werror=parentheses -Werror=pointer-arith -Werror=pointer-sign -Werror=return-type -Werror=sequence-point -Werror=strict-overflow=1 -Werror=trigraphs -Werror=type-limits -Werror=volatile-register-var -fdiagnostics-show-option -Werror=overflow -Werror=uninitialized CMake Warning at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:76 (find_package): Could not find a package configuration file provided by "xacro" with any of the following names: xacroConfig.cmake xacro-config.cmake Add the installation prefix of "xacro" to CMAKE_PREFIX_PATH or set "xacro_DIR" to a directory containing one of the above files. If "xacro" provides a separate development package or SDK, be sure it has been installed. Call Stack (most recent call first): pal_gripper_description/CMakeLists.txt:7 (find_package) CMake Error at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package): Could not find a package configuration file provided by "xacro" with any of the following names: xacroConfig.cmake xacro-config.cmake Add the installation prefix of "xacro" to CMAKE_PREFIX_PATH or set "xacro_DIR" to a directory containing one of the above files. If "xacro" provides a separate development package or SDK, be sure it has been installed. Call Stack (most recent call first): pal_gripper_description/CMakeLists.txt:7 (find_package) An unexpected error occured. The last 10 log lines are shown below. | "xacro_DIR" to a directory containing one of the above files. If "xacro" | provides a separate development package or SDK, be sure it has been | installed. | Call Stack (most recent call first): | pal_gripper_description/CMakeLists.txt:7 (find_package) | | | -- Configuring incomplete, errors occurred! /local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: recipe for target 'do-configure-cmake' failed | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-gripper/work/pal_gripper-0.0.13/build/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-gripper/work/pal_gripper-0.0.13/build/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: recipe for target 'pkg-check-installed' failed /local/robotpkg/var/tmp/robotpkg/wip/pal-gripper/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking pal-gripper-0.0.13 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for pal-gripper Removed digest-20080510 Removed tnftp-20130505~ssl